
/* --------------------- */
/* header */

/* ================= HEADER ================= */
header .container{
    width:100%;
    max-width:1250px;
    margin:auto;
    padding: 10px 30px;
}

header{
    width:100%;
    position:fixed;
    top:0;
    left:0;
    z-index:999;
    backdrop-filter:blur(14px);
    background:rgba(0,0,0,.55);
    border-bottom:1px solid rgba(255,255,255,.04);
}

.header-container{
    display:flex;
    align-items:center;
    justify-content:space-between;
    padding:22px 0;
}


.logo{
    font-size:1.4rem;
    font-weight:700;
    letter-spacing:2px;
}

.logo span{
    color:var(--cyan);
}

nav ul{
    list-style:none;
    display:flex;
    gap:35px;
}

nav a{
    text-decoration:none;
    color:white;
    font-weight:500;
    position:relative;
    transition:.3s;
}

nav a::after{
    content:"";
    position:absolute;
    bottom:-7px;
    left:0;
    width:0%;
    height:2px;
    background:var(--cyan);
    transition:.3s;
}

nav a:hover{
    color:var(--cyan);
}

nav a:hover::after{
    width:100%;
}


.logo{
    display: flex;
    align-items: center;
    gap: 10px;
}

.logo-aurellconnect-img{
    max-width: 70px;
    width: 60px;
    min-width: 35px;
}

.login-link {
    color: #00ced1 !important; /* Color Cyan */
}


/* header hamburguesa  */
/* =====================================
   HAMBURGUESA
===================================== */

.menu-toggle {

    display: none;

    width: 46px;
    height: 46px;

    border: none;
    outline: none;

    border-radius: 14px;

    background: rgba(255,255,255,0.05);

    backdrop-filter: blur(10px);

    cursor: pointer;

    position: relative;

    padding: 0;
}

.menu-toggle span {

    position: absolute;

    left: 11px;

    width: 24px;
    height: 2px;

    background: white;

    border-radius: 10px;

    transition: 0.3s ease;
}

.menu-toggle span:nth-child(1) {
    top: 14px;
}

.menu-toggle span:nth-child(2) {
    top: 22px;
}

.menu-toggle span:nth-child(3) {
    top: 30px;
}

/* animación X */

.menu-toggle.active span:nth-child(1) {
    transform: rotate(45deg);
    top: 22px;
}

.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
    transform: rotate(-45deg);
    top: 22px;
}

#mainNav{
    margin-top: 0px !important;
}
/* ----------------- */


/* =========================
   FOOTER NUEVO
========================= */

.main-footer{
    position:relative;
    overflow:hidden;

    background:
    radial-gradient(circle at top left,
    rgba(0,206,209,.08),
    transparent 30%),

    radial-gradient(circle at bottom right,
    rgba(0,206,209,.05),
    transparent 25%),

    #020406;

    padding-top:100px;
    border-top:1px solid rgba(255,255,255,.05);
}

/* Glow ambiental */

.footer-glow{
    position:absolute;
    top: -0px;
    left:50%;
    transform:translateX(-50%);

    width:700px;
    min-height:700px;

    background:
    radial-gradient(circle,
    rgba(0,206,209,.10),
    transparent 70%);

    pointer-events:none;
}

/* Container */

.footer-container{
    max-width:1300px;
    margin:auto;

    padding:0 40px 70px;

    display:grid;
    grid-template-columns:1.1fr 1fr;
    gap:80px;

    position:relative;
    z-index:2;
}

/* =========================
   BRAND
========================= */

.footer-logo{
    display:flex;
    align-items:center;
    gap:10px;

    font-size:2rem;
    font-weight:800;

    letter-spacing:2px;

    margin-bottom:25px;
}

.brand-aurell{
    color:white;
}

.brand-connect{
    color:#00ced1;
    text-shadow:0 0 18px rgba(0,206,209,.45);
}

.footer-description{
    max-width:500px;

    color:rgba(255,255,255,.65);

    line-height:1.9;
    font-size:1rem;

    margin-bottom:35px;
}

/* Powered by */

.footer-powered{
    display:flex;
    align-items:center;
    gap:10px;

    flex-wrap:wrap;
}

.footer-powered span{
    color:rgba(255,255,255,.45);
    font-size:.9rem;
    letter-spacing:1px;
}

.footer-powered a{
    color:#00ced1;
    text-decoration:none;

    padding:10px 18px;

    border-radius:50px;

    background:rgba(0,206,209,.08);

    border:1px solid rgba(0,206,209,.15);

    transition:.35s;
}

.footer-powered a:hover{
    background:#00ced1;
    color:black;

    box-shadow:
    0 0 20px rgba(0,206,209,.35);
}

/* =========================
   LINKS
========================= */

.footer-links-wrapper{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:40px;
}

.footer-column h4{
    color:white;
    font-size:1rem;

    margin-bottom:25px;

    letter-spacing:1px;
}

.footer-column{
    display:flex;
    flex-direction:column;
}

.footer-column a{
    color:rgba(255,255,255,.62);

    text-decoration:none;

    margin-bottom:16px;

    transition:.3s;

    width:max-content;
}

.footer-column a:hover{
    color:#00ced1;

    transform:translateX(5px);
}

/* =========================
   BOTTOM
========================= */

.footer-bottom{
    border-top:1px solid rgba(255,255,255,.05);

    padding:30px 20px;

    text-align:center;

    position:relative;
    z-index:2;
}

.footer-bottom p{
    color:rgba(255,255,255,.4);
    font-size:.9rem;
    letter-spacing:1px;
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:950px){

    .footer-container{
        grid-template-columns:1fr;
        gap:60px;
    }

    .footer-links-wrapper{
        grid-template-columns:1fr 1fr;
    }

}
@media(max-width:900px){


}

@media (max-width: 800px){
    .header-container{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .header-container nav{
        margin-top: 20px;
    }
}
@media(max-width:780px){
    .footer-logo {
        
        justify-content: center;
    }
    .footer-description{
        margin-left: auto;
        margin-right: auto;
    }
    .footer-powered{
        justify-content: center;
    }
    .footer-column{
        text-align: center;
        align-items: center;
    }


}

@media(max-width:650px){

    .main-footer{
        padding-top:70px;
    }

    .footer-container{
        padding:0 25px 50px;
    }

    .footer-links-wrapper{
        grid-template-columns:1fr;
        gap:50px;
    }

    .footer-logo{
        font-size:1.6rem;
    }

}

@media (max-width: 450px){

    header .container{
        width:100%;
        
        margin:auto;
        padding: 10px 10px;
    }
    .logo-aurellconnect-img{
        max-width: 32px;
        width: 32px;
    }
    .header-container{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 14px 14px;
    }
    .header-container nav{
        margin-top: 20px;
    }

    /* header haburguesa */
    
    .menu-toggle {
        display: block;
    }

    nav {

        position: absolute;

        top: 100%;
        left: 0;

        width: 100%;

        background:
            rgba(4, 8, 18, 0.94);

        backdrop-filter: blur(18px);

        border-top:
            1px solid rgba(255,255,255,0.06);

        padding: 15px 0;

        opacity: 0;
        visibility: hidden;

        transform: translateY(-10px);

        transition: 0.3s ease;
    }

    nav.active {

        opacity: 1;
        visibility: visible;

        transform: translateY(0);
    }

    nav ul {

        flex-direction: column;

        gap: 0;
    }

    nav li {

        width: 100%;
    }

    nav a {

        display: block;

        width: 100%;

        padding: 16px 24px;

        border-bottom:
            1px solid rgba(255,255,255,0.04);
    }

    .login-link {

        margin: 15px 20px 5px;
        text-align: center;
    }

      
}

@media (max-width: 350px){
    .logo{
        flex-direction: column;
        font-size: 1rem;
        gap: 0px;

    }


}